Roman Hausner wrote:
> I am planning a project that has the following main requirements:
> 
> - it must run on WinXP and Linux, idally also on OSX
> - it must have a GUI preferably with the GUI's native widget set

Perhaps wxRuby http://wxruby.rubyforge.org/wiki/wiki.pl will help.